diff --git a/debian/changelog b/debian/changelog
index 4e2d4e0..4d3c438 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,33 @@ kdevelop (4:5.6.2-5) UNRELEASED; urgency=medium
   * CI: disable the blhc job.
   * Update lintian overrides.
 
+  [ Debian Janitor ]
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on clang, cmake, libastyle-dev,
+      libclang-dev, libkf5archive-dev, libkf5config-dev, libkf5crash-dev,
+      libkf5declarative-dev, libkf5doctools-dev, libkf5guiaddons-dev,
+      libkf5i18n-dev, libkf5iconthemes-dev, libkf5itemmodels-dev,
+      libkf5itemviews-dev, libkf5jobwidgets-dev, libkf5kcmutils-dev,
+      libkf5kio-dev, libkf5newstuff-dev, libkf5notifications-dev,
+      libkf5notifyconfig-dev, libkf5parts-dev, libkf5purpose-dev,
+      libkf5service-dev, libkf5sonnet-dev, libkf5texteditor-dev,
+      libkf5threadweaver-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
+      libkf5xmlgui-dev, libqt5webkit5-dev, llvm-dev, pkg-kde-tools, qtbase5-dev
+      and qtdeclarative5-dev.
+    + kdevelop: Drop versioned constraint on gdb in Recommends.
+    + kdevelop-dev: Drop versioned constraint on libkf5archive-dev,
+      libkf5config-dev, libkf5guiaddons-dev, libkf5i18n-dev,
+      libkf5iconthemes-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
+      libkf5jobwidgets-dev, libkf5kcmutils-dev, libkf5kio-dev,
+      libkf5newstuff-dev, libkf5notifications-dev, libkf5notifyconfig-dev,
+      libkf5parts-dev, libkf5service-dev, libkf5texteditor-dev,
+      libkf5threadweaver-dev, libkf5windowsystem-dev, qtbase5-dev and
+      qtdeclarative5-dev in Depends.
+    + kdevelop-dev: Drop versioned constraint on kdevplatform-dev in Replaces.
+    + kdevelop-dev: Drop versioned constraint on kdevplatform-dev in Breaks.
+    + kdevelop-l10n: Drop versioned constraint on kdevplatform-l10n in Replaces.
+    + kdevelop-l10n: Drop versioned constraint on kdevplatform-l10n in Breaks.
+
  -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 19 Sep 2021 09:03:14 +0200
 
 kdevelop (4:5.6.2-4) unstable; urgency=medium
diff --git a/debian/control b/debian/control
index e8d1984..149cda8 100644
--- a/debian/control
+++ b/debian/control
@@ -6,54 +6,54 @@ Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: bash-completion,
-               clang (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
-               cmake (>= 2.8.12),
+               clang [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               cmake,
                debhelper-compat (= 13),
                dh-exec,
                extra-cmake-modules (>= 5.59.0~),
                gettext,
                kdevelop-pg-qt (>= 2.2.0),
                libboost-serialization-dev,
-               libastyle-dev (>= 3.1),
-               libclang-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               libastyle-dev,
+               libclang-dev [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
                libgrantlee5-dev,
-               libkf5archive-dev (>= 5.50.0~),
-               libkf5config-dev (>= 5.50.0~),
-               libkf5crash-dev (>= 5.50.0~),
-               libkf5declarative-dev (>= 5.50.0~),
-               libkf5doctools-dev (>= 5.50.0~),
-               libkf5guiaddons-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5itemmodels-dev (>= 5.50.0~),
-               libkf5itemviews-dev (>= 5.50.0~),
-               libkf5jobwidgets-dev (>= 5.50.0~),
-               libkf5kcmutils-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5newstuff-dev (>= 5.50.0~),
-               libkf5notifications-dev (>= 5.50.0~),
-               libkf5notifyconfig-dev (>= 5.50.0~),
-               libkf5parts-dev (>= 5.50.0~),
+               libkf5archive-dev,
+               libkf5config-dev,
+               libkf5crash-dev,
+               libkf5declarative-dev,
+               libkf5doctools-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kcmutils-dev,
+               libkf5kio-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5notifyconfig-dev,
+               libkf5parts-dev,
                libkf5plasma-dev [linux-any],
-               libkf5purpose-dev (>= 5.44.0),
+               libkf5purpose-dev,
                libkf5runner-dev (>= 5.72.0~) [linux-any],
-               libkf5service-dev (>= 5.50.0~),
-               libkf5sonnet-dev (>= 5.50.0~),
+               libkf5service-dev,
+               libkf5sonnet-dev,
                libkf5sysguard-dev,
-               libkf5texteditor-dev (>= 5.50.0~),
-               libkf5threadweaver-dev (>= 5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
-               libkf5xmlgui-dev (>= 5.50.0~),
+               libkf5texteditor-dev,
+               libkf5threadweaver-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
                libkomparediff2-dev,
-               libqt5webkit5-dev (>= 5.7.0),
+               libqt5webkit5-dev,
                libsvn-dev,
-               llvm-dev (>= 1:6.0) [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
+               llvm-dev [!alpha !hppa !ia64 !kfreebsd-any !m68k !sh4 !x32],
                okteta-dev (>= 5:0.26.2~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               pkg-kde-tools,
+               qtbase5-dev,
+               qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                shared-mime-info
@@ -86,7 +86,7 @@ Depends: kdevelop-data (>= ${source:Version}),
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ${kdevelop:clang}, g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
+Recommends: ${kdevelop:clang}, g++, gcc, gdb, kapptemplate, kio-extras, make
 Suggests: clang,
           clang-tidy,
           clazy,
@@ -127,29 +127,27 @@ Section: libdevel
 Architecture: any
 Depends: kdevelop56-libs (= ${binary:Version}),
          libgrantlee5-dev,
-         libkf5archive-dev (>= 5.50.0~),
-         libkf5config-dev (>= 5.50.0~),
-         libkf5guiaddons-dev (>= 5.50.0~),
-         libkf5i18n-dev (>= 5.50.0~),
-         libkf5iconthemes-dev (>= 5.50.0~),
-         libkf5itemmodels-dev (>= 5.50.0~),
-         libkf5itemviews-dev (>= 5.50.0~),
-         libkf5jobwidgets-dev (>= 5.50.0~),
-         libkf5kcmutils-dev (>= 5.50.0~),
-         libkf5kio-dev (>= 5.50.0~),
-         libkf5newstuff-dev (>= 5.50.0~),
-         libkf5notifications-dev (>= 5.50.0~),
-         libkf5notifyconfig-dev (>= 5.50.0~),
-         libkf5parts-dev (>= 5.50.0~),
-         libkf5service-dev (>= 5.50.0~),
-         libkf5texteditor-dev (>= 5.50.0~),
-         libkf5threadweaver-dev (>= 5.50.0~),
-         libkf5windowsystem-dev (>= 5.50.0~),
-         qtbase5-dev (>= 5.7.0),
-         qtdeclarative5-dev (>= 5.7.0),
+         libkf5archive-dev,
+         libkf5config-dev,
+         libkf5guiaddons-dev,
+         libkf5i18n-dev,
+         libkf5iconthemes-dev,
+         libkf5itemmodels-dev,
+         libkf5itemviews-dev,
+         libkf5jobwidgets-dev,
+         libkf5kcmutils-dev,
+         libkf5kio-dev,
+         libkf5newstuff-dev,
+         libkf5notifications-dev,
+         libkf5notifyconfig-dev,
+         libkf5parts-dev,
+         libkf5service-dev,
+         libkf5texteditor-dev,
+         libkf5threadweaver-dev,
+         libkf5windowsystem-dev,
+         qtbase5-dev,
+         qtdeclarative5-dev,
          ${misc:Depends}
-Breaks: kdevplatform-dev (<< 5.2)
-Replaces: kdevplatform-dev (<< 5.2)
 Description: development files for the KDevelop IDE
  KDevelop is a Free and Open Source integrated development
  environment (IDE). It provides editing, navigation and debugging features for
@@ -162,8 +160,6 @@ Package: kdevelop-l10n
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kdevplatform-l10n (<< 5.2)
-Breaks: kdevplatform-l10n (<< 5.2)
 Description: localization files for the KDevelop IDE
  KDevelop is a Free and Open Source integrated development
  environment (IDE). It provides editing, navigation and debugging features for